%define lib_major 6
%define api_version 3
%define gir_api 3.0
%define libname %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name}
%define libnamegir %mklibname %{name}-gir %{gir_api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	API documentation browser for developers
Name:		devhelp
Version:	3.38.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Apps/Devhelp
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(amtk-5)
BuildRequires:	pkgconfig(gio-2.0) >= 2.37.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.10.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.13.4
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 2.0.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson

%description
Devhelp is an API documentation browser for GTK+ and GNOME. It works
natively with GTK-Doc (the API reference system developed for GTK+ and
used throughout GNOME for API documentation).

%package -n %{libname}
Summary:	Dynamic libraries for devhelp
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
this package contains dynamic libraries for devhelp.

%package -n %{libnamedev}
Summary:	Development files and headers for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamegir} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}devhelp-2-devel < %{version}

%description -n %{libnamedev}
This package contains the development files and headers for devhelp.

%package -n %{libnamegir}
Summary:        GObject Introspection interface description for devhelp
Group:          System/Libraries

%description -n %{libnamegir}
GObject Introspection interface description for devhelp.

%package -n %{name}-plugins
Summary:	Gedit Plugins for Devhelp
Group:		Editors
Requires:	gedit
Requires:	python3-gobject3

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.gnome.Devhelp.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.devhelp.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.libdevhelp-3.gschema.xml
%{_datadir}/metainfo/org.gnome.Devhelp.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Devhelp.service
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%{_includedir}/%{name}-3
%{_datadir}/gir-1.0/Devhelp-%{gir_api}.gir
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/lib%{name}-3.0.pc
%{_datadir}/gtk-doc/html/devhelp-3/

%files -n %{libnamegir}
%{_libdir}/girepository-1.0/Devhelp-%{gir_api}.typelib

%files -n %{name}-plugins
%{_libdir}/gedit/plugins/*


%changelog
* Fri Nov 20 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1647964
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624319
- new version 3.38.0

* Wed Jun 10 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1591789
- new version 3.37.1

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1572112
- new version 3.36.2

* Thu Mar 26 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1560868
- new version 3.36.1

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1553925
- new version 3.36.0

* Mon Feb 24 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1550038
- 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531404
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 daviddavid <daviddavid> 3.34.0-1.mga8
+ Revision: 1439860
- new version 3.34.0

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392145
- Rebuild with meson 0.50.1

* Sun Mar 10 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373638
- new version 3.32.0

* Wed Oct 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1324982
- new version 3.30.1

* Sun Sep 23 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1297428
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 wally <wally> 3.30.0-1.mga7
+ Revision: 1243846
- new lib major 6
+ ovitters <ovitters>
- new version 3.30.0

* Mon Jun 18 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1237627
- new version 3.29.3

* Mon May 21 2018 ovitters <ovitters> 3.29.2-1.mga7
+ Revision: 1231233
- new version 3.29.2

* Thu May 10 2018 tv <tv> 3.29.1-1.mga7
+ Revision: 1228059
- BR pkgconfig(amtk-5)
- adjust filelist
- switch to meson
+ ovitters <ovitters>
- new version 3.29.1

* Sun Apr 08 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216132
- new version 3.28.1

* Sat Mar 10 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1207959
- new version 3.28.0

* Wed Feb 28 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1205815
- bump major
- new version 3.27.90
- new version 3.26.1

* Wed Sep 20 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1156437
- major is now 4
- new release

* Sat Jun 03 2017 akien <akien> 3.24.0-1.mga6
+ Revision: 1106343
- Version 3.24.0 (adds gir package)

* Thu Mar 23 2017 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1094533
- bump rel

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054170
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053977
- new version 3.21.91

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993116
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990739
- new version 3.19.92

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 960984
- new version 3.19.90

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910515
- new version 3.19.3

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890401
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883133
- adjust file list
- new release
+ ovitters <ovitters>
- new version 3.17.91
- new version 3.17.3

* Mon Jun 22 2015 fwang <fwang> 3.16.1-1.mga6
+ Revision: 839126
- update file list
+ ovitters <ovitters>
- new version 3.16.1

* Wed Oct 15 2014 fwang <fwang> 3.14.0-3.mga5
+ Revision: 749947
- build with webkit2gtk-4.0

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 749835
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719219
- new version 3.14.0

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 690898
- new version 3.13.92
- add gobject-introspection BR for typelib auto BR
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- revert to webkit2gtk

* Thu Aug 28 2014 fwang <fwang> 3.13.90-2.mga5
+ Revision: 669034
- bump rel
- bump br

* Sun Aug 24 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 667045
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655562
- new version 3.13.4

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615109
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607991
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604480
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 598800
- new version 3.11.91

* Wed Feb 05 2014 dams <dams> 3.11.4-1.mga5
+ Revision: 582899
- new version 3.11.4

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550525
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-5.mga4
+ Revision: 550146
- fix url

* Sat Nov 02 2013 fwang <fwang> 3.10.0-4.mga4
+ Revision: 548880
- use same python abi as gedit

* Sat Nov 02 2013 fwang <fwang> 3.10.0-3.mga4
+ Revision: 548860
- add requires on python-gi

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536491
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484369
- new version 3.10.0

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474633
- new version 3.9.91

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468301
- new version 3.9.90

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460529
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458361
- new version 3.9.4

* Mon May 27 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 428677
- clean up spec

* Sun May 26 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 427836
- new version 3.8.2

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 348733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 318041
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297094
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295391
- new version 3.5.92

* Thu Aug 09 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280195
- update lib major
- new version 3.5.5

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231043
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227057
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219199
- add patch to fix linking
- new version 3.3.91

* Tue Feb 14 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 208801
- clean spec

* Sun Dec 25 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 187499
- new version 3.3.3
- fix summary and description for devel pkg
- clean .spec a bit

* Tue Sep 27 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 149031
- new version 3.2.0

* Sun Sep 18 2011 fwang <fwang> 3.0.0-3.mga2
+ Revision: 145104
- drop .la files

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.0-2.mga2
+ Revision: 110472
- Rebuild against new webkit
+ fwang <fwang>
- new verison 3.0.0

* Thu Mar 24 2011 boklm <boklm> 2.32.0-3.mga1
+ Revision: 76134
- rebuild for bug #497

* Sun Mar 20 2011 obgr_seneca <obgr_seneca> 2.32.0-2.mga1
+ Revision: 75058
- added buildrequire for libtasn1-devel not checked by configure
- added gnutls buildrequire not checked in configure script
- added BuildRequires for glib2-devel
- imported package devhelp

